import 'package:http/http.dart' as http;
import 'package:http/http.dart';

import '../../../apiParams.dart';
import '../talkApi.dart';
import 'deleteReactMessageParams.dart';

class DeleteReactMessage extends TalkApi {
  String chatToken;
  int messageId;
  DeleteReactMessage({required this.chatToken, required this.messageId, required DeleteReactMessageParams params}) : super("v1/reaction/$chatToken/$messageId", params);

  @override
  assemble(String raw) {
    return null;
  }

  @override
  Future<Response>? request(Uri uri, ApiParams? body, Map<String, String>? headers) {
    if(body is DeleteReactMessageParams) {
      return http.delete(uri, headers: headers, body: body.toJson());
    }
    return null;
  }

}